Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.security.providers.authentication
Class CertificateMapperImpl

    java.lang.Object
      |
      +--weblogic.security.providers.authentication.CertificateMapperImpl

public class CertificateMapperImpl
extends java.lang.Object
implements CertificateMapper

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static java.lang.String` | `CERT_SUBJECT`

Constructor Summary
`CertificateMapperImpl()`
`CertificateMapperImpl(java.lang.String certMapping, java.security.cert.X509Certificate cert)`

Method Summary
`java.security.cert.X509Certificate` | `getCertificate()`
`java.lang.String` | `getCertMapping()`
`java.lang.String` | `getUserBaseDN()`
`void` | `setCertificate(java.security.cert.X509Certificate cert)`
`void` | `setCertMapping(java.lang.String certMapping)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CERT_SUBJECT

    public static java.lang.String CERT_SUBJECT

Constructor Detail

### CertificateMapperImpl

    public CertificateMapperImpl()

### CertificateMapperImpl

    public CertificateMapperImpl(java.lang.String certMapping,
                                 java.security.cert.X509Certificate cert)

Method Detail

### setCertMapping

    public void setCertMapping(java.lang.String certMapping)

### getCertMapping

    public java.lang.String getCertMapping()

### setCertificate

    public void setCertificate(java.security.cert.X509Certificate cert)

### getCertificate

    public java.security.cert.X509Certificate getCertificate()

### getUserBaseDN

    public java.lang.String getUserBaseDN()

  Specified by:
    getUserBaseDN in interface CertificateMapper

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD